=== debian/changelog ===
mesa (7.0.3-maemo1) stable-security; urgency=high

  * fix to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Thu, 01 Jul 2010 18:58:00 +0200

mesa (7.0.3-7) unstable; urgency=low

  * Cherry-pick patch from upstream:
    Use 3Dnow! x86-64 routines only on processors that support 3Dnow!
    (closes: #484180).
  * Also build the x86-specific dri drivers on kfreebsd (closes: #492894).

 -- Julien Cristau <jcristau@debian.org>  Sun, 14 Dec 2008 07:34:58 +0530

mesa (7.0.3-6) unstable; urgency=high

  * Update debian/copyright to the SGI Free Software License B, version 2.0.
    It now mirrors the free X11 license used by X.Org (closes: #368560).
    http://www.sgi.com/company_info/newsroom/press_releases/2008/september/opengl.html

 -- Julien Cristau <jcristau@debian.org>  Sat, 20 Sep 2008 16:30:44 +0200

mesa (7.0.3-5) unstable; urgency=low

  * Disable the i915tex driver, it doesn't build against libdrm 2.3.1.
  * Pull from mesa_7_0_branch (27425708).

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Jul 2008 18:56:19 +0200

mesa (7.0.3-4) unstable; urgency=low

  * Pull from mesa_7_0_branch (2ac4919d).
  * Put back our configs/ changes into the .diff.gz since choose-configs
    needs them before quilt is invoked. Put 04_cleanup-osmesa-configs.patch
    there as well for #485161.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 18 Jun 2008 20:59:14 +0200

mesa (7.0.3-3) unstable; urgency=low

  * Pull from mesa_7_0_branch (718724de).
    + Fix intel_batchbuffer_space on i965, closes: #455817.
    + Fix busy error in i915_wait_irq for real now, closes: #467319.
  * Move our configs/ changes from the .diff.gz into our quilt patches,
    with 04_cleanup-osmesa-configs.patch renamed into 04_debian-configs.patch,
    closes: #485161.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 17 Jun 2008 20:00:51 +0200

mesa (7.0.3-2) unstable; urgency=low

  * Pull from mesa_7_0_branch (03447de3).
  * Set right cliprects for the current draw region on Intel, closes: #467319.
  * Use BRW_TEXCOORDMODE_CLAMP instead of BRW_TEXCOORDMODE_CLAMP_BORDER
    to implement GL_CLAMP on i965, closes: #478880.
  * Fix segment fault with BASE_LEVEL set to 5 for MipMap on i915,
    closes: #451339.
  * Disable low impact fallback on r300 by default, closes: #440868.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 13 Jun 2008 06:53:29 +0200

mesa (7.0.3-1) unstable; urgency=low

  * New upstream release.
  * Only call ProgramStringNotify if program parsing succeeded,
    closes: #473551.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 11 Apr 2008 08:42:37 +0200

mesa (7.0.3~rc2-2) unstable; urgency=low

  * Pull from mesa_7_0_branch (1e83d70b).
  * Fixes regression in the i965 dri driver (closes: #470984, #470084)
  * Update 02_use-ieee-fp-on-s390-and-m68k.patch.
  * Change libgl1-mesa-swx11-i686's pre-dependency on libgl1-mesa-swx11 to a
    regular versioned dependency, and add ${shlibs:Depends}.

 -- Julien Cristau <jcristau@debian.org>  Mon, 31 Mar 2008 16:47:31 +0200
