=== debian/watch ===
version=3
http://sf.net/mesa3d/MesaLib-(.*)\.tar\.gz
