=== debian/changelog ===
mesa (7.0.3-maemo4) stable-security; urgency=low

  * change rules

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  4 Sep 2012 08:52:25 -0400

mesa (7.0.3-maemo3) stable-security; urgency=low

  * remove i386 build flag

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  4 Sep 2012 08:24:11 -0400

mesa (7.0.3-maemo2) stable-security; urgency=low

  * Optify package

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Wed, 11 Apr 2012 04:42:01 -0400
