=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Thomas Maass <inyourface@gmx.de>
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5), quilt (>= 0.40), pkg-config, libdrm-dev (>= 2.2.0) [!hurd-i386], libx11-dev, xutils-dev, x11proto-gl-dev (>= 1.4.8), libxxf86vm-dev, libexpat1-dev, lesstif2-dev, dpkg-dev (>= 1.13.19), libxfixes-dev, libxdamage-dev, libxext-dev
+Build-Depends: debhelper (>= 5), quilt (>= 0.40), pkg-config, libdrm-dev (>= 2.2.0) [!hurd-i386], libx11-dev, xutils-dev, x11proto-gl-dev (>= 1.4.8), libxxf86vm-dev, libexpat1-dev, lesstif2-dev, dpkg-dev (>= 1.13.19), libxfixes-dev, libxdamage-dev, libxext-dev, maemo-optify
 Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/mesa
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/mesa.git
 Homepage: http://mesa3d.sourceforge.net/
@@ -55,29 +55,29 @@
  This package contains debugging symbols for the software rasterization GL
  library.
 
-Package: libgl1-mesa-swx11-i686
-Section: libs
-Priority: extra
-Architecture: i386
-Depends: libgl1-mesa-swx11 (= ${binary:Version}), ${shlibs:Depends}
-Description: Mesa OpenGL runtime [i686 optimized]
- Mesa is a 3-D graphics library with an API which is very similar to
- that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
- syntax or state machine, it is being used with authorization from
- Silicon Graphics, Inc.  However, the author makes no claim that Mesa
- is in any way a compatible replacement for OpenGL or associated with
- Silicon Graphics, Inc.
- .
- This library provides a pure software rasteriser; it does not provide
- a direct rendering-capable library, or one which uses GLX.  For that,
- please see libgl1-mesa-glx.
- .
- On Linux, this library is also known as libGL or libGL.so.1.
- .
- This set of libraries is optimized for i686 machines and will only be used if
- you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
- Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
- such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).
+#Package: libgl1-mesa-swx11-i686
+#Section: libs
+#Priority: extra
+#Architecture: i386
+#Depends: libgl1-mesa-swx11 (= ${binary:Version}), ${shlibs:Depends}
+#Description: Mesa OpenGL runtime [i686 optimized]
+# Mesa is a 3-D graphics library with an API which is very similar to
+# that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
+# syntax or state machine, it is being used with authorization from
+# Silicon Graphics, Inc.  However, the author makes no claim that Mesa
+# is in any way a compatible replacement for OpenGL or associated with
+# Silicon Graphics, Inc.
+# .
+# This library provides a pure software rasteriser; it does not provide
+# a direct rendering-capable library, or one which uses GLX.  For that,
+# please see libgl1-mesa-glx.
+# .
+# On Linux, this library is also known as libGL or libGL.so.1.
+# .
+# This set of libraries is optimized for i686 machines and will only be used if
+# you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
+# Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
+# such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).
 
 Package: libgl1-mesa-swx11-dev
 Section: libdevel
@@ -276,4 +276,3 @@
 Conflicts: mesag3 (<< 5.0.0-1), xlibmesa3, libglu1
 Replaces: libglu1
 Description: The OpenGL utility library (GLU)
- GLU offers simple interfaces for building mipmaps; checking for the
