=== debian/rules ===
--- 
+++ 
@@ -133,6 +133,9 @@
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
+ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
+	maemo-optify
+endif
 	dh_md5sums -s
 	dh_builddeb -s
